(function ($, Drupal, once) {
    Drupal.behaviors.dataTablesInit = {
      attach: function (context, settings) {
        // Ensure the table exists before applying DataTables
        once('datatable-init', '#results-table', context).forEach(function (table) {
          $(table).DataTable({
            // Optional DataTables configurations can go here
            paging: true,
            pageLength: 10,   // Set default page length
            lengthChange: true,  // Enable the user to change page size
            searching: true,   // Enable searching
            ordering: true,    // Enable ordering
            autoWidth: false,  // Prevent auto-resizing to fit content
            responsive: true 
          });
        });
      }
    };
  })(jQuery, Drupal, once);
  